import {
  TransitionalStyles
} from "./chunk.UZLOEUQK.js";
import {
  GdsElement
} from "./chunk.ZQ4D5K7J.js";
import {
  gdsCustomElement
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/primitives/menu/menu-heading.ts
import { html } from "lit";

// libs/core/src/primitives/menu/menu-heading.styles.ts
import { css } from "lit";
var style = css`
  @layer base, reset, transitional-styles;
  @layer base {
    :host {
      padding: 0.5 1rem;
      cursor: pointer;
    }

    :host(:hover) {
      background-color: grey;
    }
  }
`;
var menu_heading_styles_default = style;

// libs/core/src/primitives/menu/menu-heading.ts
var GdsMenuHeading = class extends GdsElement {
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("inert", "true");
    this.updateComplete.then(
      () => TransitionalStyles.instance.apply(this, "gds-menu-heading")
    );
  }
  render() {
    return html`<slot></slot>`;
  }
};
GdsMenuHeading.styles = menu_heading_styles_default;
GdsMenuHeading = __decorateClass([
  gdsCustomElement("gds-menu-heading")
], GdsMenuHeading);

export {
  GdsMenuHeading
};
